### Virtual Method

# Gtk Application restore_state

unstable since: 4.24

#### Declaration [src]

    gboolean
    restore_state (
      GtkApplication* application,
      GtkRestoreReason reason,
      GVariant* state
    )

#### Description [src]

Class closure for the `GtkApplication::restore-state` signal.

Available since: 4.24

#### Parameters

`reason`

  Type: `GtkRestoreReason`

  The reason for restoring state.

`state`

  Type: `GVariant`

  A dictionary containing the application state to restore.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True to stop further handlers from running.